<p>As a core team member, you will be included in your cell's <a href="https://handbook.opencraft.com/en/latest/glossary/#firefighting">sprint firefighting</a> rotations. <span style="background-color: #fff5e5;">Take a moment to read the corresponding <a href="https://handbook.opencraft.com/en/latest/roles/#firefighter">section of the handbook</a> describing the roles. Make sure to also have a look at the <a href="https://handbook.opencraft.com/en/latest/processes/firefighting/triage_guidelines/">page</a> listing general rules for firefighting and guidelines for triaging issues❗</span>.</p>
<h3>Preparing for your first firefighter rotation</h3>
<p>This is where your newly acquired knowledge of DevOps will be important! Your first rotation won't be for at least a few sprints, as we usually try to give time to new core team members to get acquainted with core team duties. But it can be a good idea, in the coming sprints, to look for DevOps tasks (preferably from client epics), and take at least a reviewer role on them. This will allow you to gain practical knowledge <i>calmly</i>, which will come in handy when you have to fight urgent fires later on!</p>
<h4>Pager Setup</h4>
<p>When your firefighter rotation eventually comes, you will need to add yourself to the "Firefighter" and "Normal Working Hours" pager rotations, keeping in mind the following rules:</p>
<ul>
<li>Your on-call times should be added to the pager rotation <b>before the start of the sprint</b> during which you will be firefighter.</li>
<li>Your on-call times should <b>at least cover your working hours</b>. If you want to help cover any additional hours (during or outside of sprints that have you on firefighting duty), you can adjust your pager schedule accordingly.</li>
<li>Your on-call times should <b>include each day you will be working</b> over the course of the entire sprint. (Based on the way entries in the <a href="https://calendar.google.com/calendar/u/0?cid=b3BlbmNyYWZ0LmNvbV92ZXZoN2RuN3A4YWEydGdscTkxaHYyczFma0Bncm91cC5jYWxlbmRhci5nb29nbGUuY29t">rotation calendar</a> are spaced out, it may seem like firefighting duties only last for a few days or a week. However, this spacing is simply due to how our <a href="https://handbook.opencraft.com/en/latest/processes/firefighting/fire_management/#tooling">automation for creating firefighting tickets</a> is currently implemented. It doesn't change the expectation that you will be available for firefighting for the entire sprint.)</li>
</ul>
<p>Follow these steps to add yourself to the pager rotation:</p>
<ol>
<li>Join <a href="https://handbook.opencraft.com/en/latest/glossary/#opsgenie">Opsgenie</a>: you should have received an invitation to the OpenCraft team there. If not, ask the team's recruitment manager.</li>
<li>
Go to the <a href="https://opencraft.app.eu.opsgenie.com/teams/dashboard/1114af08-343b-40e0-a9a3-37d56cfb37f8/main">pager rotation page</a>. (If the direct link doesn't work, you can access the page via <i>Teams</i> &gt; <i>OpenCraft</i> &gt; <i>On-call</i>).
<ul>
<li>Scroll down to <i>On-call schedules</i> &gt; <i>Firefighters</i> and click <i>Add rotation</i>.</li>
<li>Fill in the fields as follows:
<ul>
<li><b>Name</b>: Enter your first name (or your first and last name if you share someone else's first name).</li>
<li><b>Participants</b>: Search for and add your user.</li>
<li><b>Start on</b> / <b>Ends on</b>: Adjust as needed.</li>
<li><b>Restrict to time intervals</b>: Activate, then specify the times and days you will be on call.</li>
</ul>
</li>
<li>Scroll down to <i>On-call schedules</i> &gt; <i>Normal Working Hours</i> and click <i>Add rotation</i>.</li>
<li>Fill in the fields as follows:
<ul>
<li><b>Participants</b>: Search for and add your user.</li>
<li><b>Start on</b> / <b>Ends on</b>: Adjust as needed.</li>
<li><b>Restrict to time intervals</b>: Activate, then specify the times and days you normally work.</li>
</ul>
</ul>
</li>
<li>Set up your preferred notification methods and quiet hours on the <a href="https://opencraft.app.eu.opsgenie.com/settings/user/notification">notifications page</a>. Make sure that the settings you choose help minimize the likelihood of missing pager alerts while you're on call:
<ul>
<li>Add different <b>contact methods</b> for receiving pages. That way, if you miss an alert on one device you might still notice it on another. You can also use this to configure which types of notifications you are ok to receive. </li>
<li>Create staggered <b>notification rules</b> to receive different types of alerts at different times. That way, you'll get the different paging methods to escalate progressively. For example, the chain of alerts might start with a notification from the mobile app, and then continue with an SMS or a phone call if you don't react to the initial notification.<br /><br /><img src="/static/notifications.png" alt="Notifications configuration in Opsgenie" class="shrinkToFit" /></li>
<li><a href="https://support.atlassian.com/opsgenie-android/docs/customize-notification-sounds-on-an-android/">Set a custom notification sound</a> for Opsgenie alerts on your phone to make it possible to easily recognize and distinguish them from normal messages.<br /><br /><img src="/static/notificationsound.jpg" alt="Setting the notification ringtone on a phone" class="shrinkToFit" width="200" /></li>
</ul>
</li>
</ol>
<h4>Escalation policy</h4>
<p>The escalation policy is the following:</p>
<p><img src="/static/rotationpolicy.png" alt="Escalation policy" /></p>
<p>I.e.:</p>
<ul>
<li>First it gives 5 minutes for someone to see the ping on <a href="https://handbook.opencraft.com/en/latest/glossary/#mattermost">Mattermost</a> and act on the alert before it pages anyone.</li>
<li>After 5 minutes, if nobody acted on the alert, it will page members of the <b>Firefighters</b> group.</li>
<li>After 10 minutes, if nobody acted on the alert, it will page members of the <b>Normal Working Hours</b> group.</li>
<li>After 15 minutes, if nobody acted on the alert, it will page members of the <b>Firefighting Managers</b> group.</li>
<li>After 20 minutes, if nobody acted on the alert, it will page the <b>manager</b> on call (Braden or Xavier, depending on the time of day).</li>
<li>After 30 minutes, if nobody acted on the alert, it will page members of the <b>Ops Review - Backup</b> group.</li>
</ul>
